<?php
/**
 * Product Condition JavaScript
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

add_action( 'admin_enqueue_scripts', 'product_condition_scripts' );

function product_condition_scripts( $hook ) {

	global $post;

	wp_register_script( 'product_condition_custom_condition', PC_PLUGIN_URL . '/js/custom-condition.js', array( 'jquery' ), '1.3', false );

	$load_on_page = array( 'post-new.php', 'post.php', 'edit.php' );

	if ( in_array( $hook, $load_on_page, true ) ) {

		wp_enqueue_script( 'product_condition_custom_condition' );

	}

}
